## xfce4-screensaver 4.20.1

=== meson_options.txt ===
option(
  'authentication-scheme',
  type: 'combo',
  choices: ['pam', 'helper', 'bsdauth', 'pwent', 'none'],
  value: 'pam',
  description: 'Authentication scheme',
)

option(
  'session-manager',
  type: 'combo',
  choices: ['systemd', 'elogind', 'consolekit', 'none'],
  value: 'systemd',
  description: 'Session manager',
)

option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'disabled',
  description: 'Support for the Wayland windowing system',
)

option(
  'xscreensaverhackdir',
  type: 'string',
  value: '',
  description: 'Look for xscreensaver hack executables in directory (default: autodetect)',
)

option(
  'kbd-layout-indicator',
  type: 'boolean',
  value: true,
  description: 'Build keyboard layout indicator',
)

option(
  'docs',
  type: 'feature',
  value: 'auto',
  description: 'Build documentation (requires xmlto and docbook-xml)',
)

option(
  'docdir',
  type: 'string',
  value: '',
  description: 'Directory to install documentation (default: autodetect)',
)

# Options only useful for pam authentication scheme
option(
  'pam-prefix',
  type: 'string',
  value: '',
  description: 'Specify where PAM files go (default: sysconfdir)',
)

option(
  'pam-auth-type',
  type: 'combo',
  choices: ['auto', 'common', 'system'],
  value: 'auto',
  description: 'specify PAM auth type',
)

option(
  'linux-pam-localedir',
  type: 'string',
  value: '',
  description: 'Path to Linux-PAM localedir, used for auth message filtering (default: autodetect)',
)

# Options only useful for pwent authentication scheme
option(
  'shadow',
  type: 'boolean',
  value: true,
  description: 'Include support for shadow password authentication',
)

# Options only useful for helper authentication scheme
option(
  'passwd-helper',
  type: 'string',
  value: '',
  description: 'Full pathname of an external password verification helper program',
)

## xfce4-screensaver 0.1.3

=== debian/changelog ===
xfce4-screensaver (0.1.3-2) unstable; urgency=medium

  * Update libsystemd-dev dependency (Closes: #919151)

 -- Jonathan Carter <jcc@debian.org>  Sun, 13 Jan 2019 16:52:19 +0200

xfce4-screensaver (0.1.3-1) experimental; urgency=medium

  * Initial release (Closes: #911115, #918585)

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Jan 2019 15:36:20 +0200

=== debian/control ===
Source: xfce4-screensaver
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11),
               intltool,
               libdbus-glib-1-dev,
               libgarcon-gtk3-1-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               libxfconf-0-dev,
               libxklavier-dev,
               libxss-dev
Standards-Version: 4.3.0
Homepage: https://git.xfce.org/apps/xfce4-screensaver/about/
Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver

Package: xfce4-screensaver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: screen saver and locker that is integrated with the xfce4 desktop
 Xfce Screensaver is a screen saver and locker that aims to have simple,
 sane, secure defaults and be well integrated with the Xfce desktop.
 .
 It is a port of MATE Screensaver, itself a port of GNOME Screensaver.
 It has been tightly integrated with the Xfce desktop, utilizing Xfce
 libraries and the Xfconf configuration backend.

## xfce4-screensaver 0.1.4

=== debian/changelog ===
xfce4-screensaver (0.1.4-1~exp2) experimental; urgency=medium

  * Apply previous unreleased changes from Yves-Alexis Perez:
    - Add Yves-Alexis Perez to uploaders
    - Fix VCS fields in debian/control
    - Add debian/gbp.conf

 -- Jonathan Carter <jcc@debian.org>  Thu, 28 Mar 2019 20:41:04 +0200

xfce4-screensaver (0.1.4-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #921835)
  * Upgrade to debhelper-compat (= 12)
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Mar 2019 08:35:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: xfce
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
-Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Jonathan Carter <jcc@debian.org>,
+           Yves-Alexis Perez <corsac@debian.org>
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libdbus-glib-1-dev,
                libgarcon-gtk3-1-dev,
@@ -20,7 +21,7 @@
 Standards-Version: 4.3.0
 Homepage: https://git.xfce.org/apps/xfce4-screensaver/about/
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
-Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
+Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver.git
 
 Package: xfce4-screensaver
 Architecture: any

=== debian/watch ===
version=4
https://archive.xfce.org/src/apps/xfce4-screensaver/([\d\.]+)/ \
        xfce4-screensaver-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-screensaver 0.1.6

=== debian/changelog ===
xfce4-screensaver (0.1.6-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.0

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 14:00:52 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libxfconf-0-dev,
                libxklavier-dev,
                libxss-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://git.xfce.org/apps/xfce4-screensaver/about/
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
 Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver.git

## xfce4-screensaver 0.1.7

=== debian/changelog ===
xfce4-screensaver (0.1.7-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 29 Jul 2019 17:18:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-screensaver
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),

## xfce4-screensaver 0.1.8

=== debian/changelog ===
xfce4-screensaver (0.1.8-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Wed, 28 Aug 2019 23:05:42 -0400

xfce4-screensaver (0.1.8-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Remove self from uploaders

  [ Unit 193 ]
  * New upstream release.
  * d/control:
    - Recommend gir1.2-glib-2.0, gir1.2-gtk-3.0, python3, python3-gi and xfconf
    - Update homepage field.
    - Build-depend on libwnck-3-dev.
  * d/copyright: Update a couple paths and fix license types.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 25 Aug 2019 17:51:46 +0200

=== debian/control ===
Source: xfce4-screensaver
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper-compat (= 12),
               intltool,
               libdbus-glib-1-dev,
               libgarcon-gtk3-1-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libwnck-3-dev,
               libx11-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               libxfconf-0-dev,
               libxklavier-dev,
               libxss-dev
Standards-Version: 4.4.0
Homepage: https://docs.xfce.org/apps/screensaver/start
Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver.git

Package: xfce4-screensaver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gir1.2-glib-2.0, gir1.2-gtk-3.0, python3, python3-gi, xfconf
Description: screen saver and locker that is integrated with the xfce4 desktop
 Xfce Screensaver is a screen saver and locker that aims to have simple,
 sane, secure defaults and be well integrated with the Xfce desktop.
 .
 It is a port of MATE Screensaver, itself a port of GNOME Screensaver.
 It has been tightly integrated with the Xfce desktop, utilizing Xfce
 libraries and the Xfconf configuration backend.

## xfce4-screensaver 0.1.9

=== debian/changelog ===
xfce4-screensaver (0.1.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control:
    - Update standards version to 4.5.0
    - Set Rules-Requires-Root to no
  * d/watch: use uscan special strings

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 23 Mar 2020 19:36:55 -0400

## xfce4-screensaver 0.1.10

=== debian/changelog ===
xfce4-screensaver (0.1.10-1mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add desktop-file.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Apr 2020 18:11:18 -0700

xfce4-screensaver (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 02 Apr 2020 20:04:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-screensaver
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
                intltool,
@@ -11,14 +12,15 @@
                libgtk-3-dev,
                libpam0g-dev,
                libsystemd-dev [linux-any],
-               libwnck-3-dev,
+               libwnck-3-dev (>= 3.20~),
                libx11-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
                libxfconf-0-dev,
                libxklavier-dev,
                libxss-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
 Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## xfce4-screensaver 0.1.11

=== debian/changelog ===
xfce4-screensaver (0.1.11-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

  [ Unit 193 ]
  * New upstream version 0.1.11.
  * d/copyright: Update Source location for move to GitLab.

 -- Unit 193 <unit193@debian.org>  Tue, 10 Nov 2020 00:34:50 -0500

## xfce4-screensaver 4.16.0

=== debian/changelog ===
xfce4-screensaver (4.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.16.0.
  * d/control:
    - Recommend gir1.2-xfconf-0 and gir1.2-libxfce4util-1.0, drop xfconf.
  * d/copyright: Update years and my email address.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Wed, 06 Jan 2021 02:26:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-screensaver
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
                intltool,
@@ -12,14 +11,14 @@
                libgtk-3-dev,
                libpam0g-dev,
                libsystemd-dev [linux-any],
-               libwnck-3-dev (>= 3.20~),
+               libwnck-3-dev,
                libx11-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
                libxfconf-0-dev,
                libxklavier-dev,
                libxss-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
@@ -28,7 +27,12 @@
 Package: xfce4-screensaver
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: gir1.2-glib-2.0, gir1.2-gtk-3.0, python3, python3-gi, xfconf
+Recommends: gir1.2-glib-2.0,
+            gir1.2-gtk-3.0,
+            gir1.2-libxfce4util-1.0,
+            gir1.2-xfconf-0,
+            python3,
+            python3-gi
 Description: screen saver and locker that is integrated with the xfce4 desktop
  Xfce Screensaver is a screen saver and locker that aims to have simple,
  sane, secure defaults and be well integrated with the Xfce desktop.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## xfce4-screensaver 4.18.0

=== debian/changelog ===
xfce4-screensaver (4.18.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Unit 193 ]
  * New upstream version 4.18.0.
  * d/control: Build-Depend on xfce4-dev-tools.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Sat, 18 Mar 2023 18:43:59 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libdbus-glib-1-dev,
                libgarcon-gtk3-1-dev,
@@ -17,8 +17,9 @@
                libxfce4util-dev,
                libxfconf-0-dev,
                libxklavier-dev,
-               libxss-dev
-Standards-Version: 4.5.1
+               libxss-dev,
+               xfce4-dev-tools
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## xfce4-screensaver 4.18.1

=== debian/changelog ===
xfce4-screensaver (4.18.1-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 May 2023 14:04:38 -0700

xfce4-screensaver (4.18.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 26 May 2023 14:31:22 -0700

=== debian/control ===
--- 
+++ 
@@ -27,13 +27,14 @@
 
 Package: xfce4-screensaver
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: gir1.2-glib-2.0,
-            gir1.2-gtk-3.0,
-            gir1.2-libxfce4util-1.0,
-            gir1.2-xfconf-0,
-            python3,
-            python3-gi
+Depends: gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
+         gir1.2-libxfce4util-1.0,
+         gir1.2-xfconf-0,
+         python3,
+         python3-gi,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: screen saver and locker that is integrated with the xfce4 desktop
  Xfce Screensaver is a screen saver and locker that aims to have simple,
  sane, secure defaults and be well integrated with the Xfce desktop.

## xfce4-screensaver 4.18.1-1%2Bvictoria

=== debian/changelog ===
xfce4-screensaver (4.18.1-1+victoria) victoria; urgency=medium

  * Update source to 4.18.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2023 11:35:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libdbus-glib-1-dev,
                libgarcon-gtk3-1-dev,
@@ -19,7 +19,7 @@
                libxklavier-dev,
                libxss-dev,
                xfce4-dev-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
@@ -27,14 +27,13 @@
 
 Package: xfce4-screensaver
 Architecture: any
-Depends: gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-libxfce4util-1.0,
-         gir1.2-xfconf-0,
-         python3,
-         python3-gi,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gir1.2-glib-2.0,
+            gir1.2-gtk-3.0,
+            gir1.2-libxfce4util-1.0,
+            gir1.2-xfconf-0,
+            python3,
+            python3-gi
 Description: screen saver and locker that is integrated with the xfce4 desktop
  Xfce Screensaver is a screen saver and locker that aims to have simple,
  sane, secure defaults and be well integrated with the Xfce desktop.

## xfce4-screensaver 4.18.2

=== debian/changelog ===
xfce4-screensaver (4.18.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.2.
  * d/control: Set version constraint on libxfce4ui to 4.18.4.
  * d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 03:57:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libdbus-glib-1-dev,
                libgarcon-gtk3-1-dev,
@@ -13,13 +13,13 @@
                libsystemd-dev [linux-any],
                libwnck-3-dev,
                libx11-dev,
-               libxfce4ui-2-dev,
+               libxfce4ui-2-dev (>= 4.18.4),
                libxfce4util-dev,
                libxfconf-0-dev,
                libxklavier-dev,
                libxss-dev,
                xfce4-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver

## xfce4-screensaver 4.18.3

=== debian/changelog ===
xfce4-screensaver (4.18.3-1~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Sep 2024 18:06:26 +0000

xfce4-screensaver (4.18.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.3.

 -- Unit 193 <unit193@debian.org>  Sat, 16 Mar 2024 19:32:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-screensaver
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,

## xfce4-screensaver 4.18.4

=== debian/changelog ===
xfce4-screensaver (4.18.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.4.
  * d/control: Replace intltool with gettext.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Mon, 13 Jan 2025 00:14:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xfce4-screensaver
 Section: xfce
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               intltool,
+               gettext,
                libdbus-glib-1-dev,
                libgarcon-gtk3-1-dev,
                libglib2.0-dev,
@@ -20,7 +19,7 @@
                libxklavier-dev,
                libxss-dev,
                xfce4-dev-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver

## xfce4-screensaver 4.20.0

=== debian/changelog ===
xfce4-screensaver (4.20.0-1) unstable; urgency=medium

  * New upstream version 4.20.0
  * d/copyright updated
  * d/control: update standards version to 4.7.2
  * d/u/metadata: add repository URL

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 18 Jul 2025 13:50:59 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libxklavier-dev,
                libxss-dev,
                xfce4-dev-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver

## xfce4-screensaver 4.20.1

=== debian/changelog ===
xfce4-screensaver (4.20.1-1) unstable; urgency=medium

  * New upstream version 4.20.1
  * d/control: add b-dep on meson for new build system

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 22 Aug 2025 11:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libxfconf-0-dev,
                libxklavier-dev,
                libxss-dev,
+               meson,
                xfce4-dev-tools
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@
+
+override_dh_installchangelogs:
+	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

## xfce4-screensaver 4.20.2

=== debian/changelog ===
xfce4-screensaver (4.20.2-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Tweak the chosen session manager to build on non-Linux platforms:
    - on Linux keep using the systemd one (which is the upstream default)
    - on non-Linux use no session manager for now

  [ Unit 193 ]
  * New upstream version 4.20.2.
  * d/control: Drop 'priority' and R³, set by default.
  * d/watch: Update to version 5.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Mon, 02 Mar 2026 20:35:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xfce4-screensaver
 Section: xfce
-Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -20,8 +19,7 @@
                libxss-dev,
                meson,
                xfce4-dev-tools
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://docs.xfce.org/apps/screensaver/start
 Vcs-Browser: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver
 Vcs-Git: https://salsa.debian.org/xfce-extras-team/xfce4-screensaver.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
    EXTRA_MESON_ARGS += -Dsession-manager=systemd
else
    EXTRA_MESON_ARGS += -Dsession-manager=none
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_MESON_ARGS)

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

=== debian/watch ===
Version: 5
Source: https://archive.xfce.org/src/apps/@PACKAGE@/(\d[\d\.]+)/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
